Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class StandaloneChannelRenderer

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.StandaloneChannelRenderer

All Implemented Interfaces:
  IChannel

Direct Known Subclasses:
  CSelectSystemProfile

    public class StandaloneChannelRenderer

extends BaseChannel

StandaloneChannelRenderer is meant to be used as a base class for channels that might be rendered outside of the standard user-layout driven scheme. (for example CSelectSystemProfile).

Version:
  $Revision: 1.32.2.2 $
Author:
  Peter Kharchenko

Field Summary
`private BrowserInfo` | `binfo`
`private static IChannelRendererFactory` | `cChannelRendererFactory`
`private static java.lang.String` | `chanID`
`private java.lang.String` | `channelName`
`private boolean` | `dataIsSet`
`private static java.lang.String` | `fs`
`private boolean` | `hasAbout`
`private boolean` | `hasEdit`
`private boolean` | `hasHelp`
`private LocaleManager` | `lm`
`private static org.apache.commons.logging.Log` | `log`
`private MediaManager` | `mediaM`
`private PortalControlStructures` | `pcs`
`private static java.lang.String` | `relativeSSLLocation`
`private StylesheetSet` | `set`
`private long` | `timeOut`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`runtimeData, staticData`

Constructor Summary
`StandaloneChannelRenderer()`

Method Summary
`private ChannelRuntimeData` | `getRuntimeData(javax.servlet.http.HttpServletRequest req)`
`void` | `initialize(java.util.Hashtable params, java.lang.String channelName, boolean hasHelp, boolean hasAbout, boolean hasEdit, long timeOut, IPerson person)` Initializes the channel and calls setStaticData() on the channel.
`void` | `prepare(javax.servlet.http.HttpServletRequest req)` This request will cause setRuntimeData() method called on the channel.
`void` | `render(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` This method will output channel content into the HttpServletResponse's out stream.

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData, setStaticData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### set

    private StylesheetSet set

### mediaM

    private MediaManager mediaM

### channelName

    private java.lang.String channelName

### pcs

    private PortalControlStructures pcs

### binfo

    private BrowserInfo binfo

### lm

    private LocaleManager lm

### hasEdit

    private boolean hasEdit

### hasAbout

    private boolean hasAbout

### hasHelp

    private boolean hasHelp

### timeOut

    private long timeOut

### dataIsSet

    private boolean dataIsSet

### chanID

    private static final java.lang.String chanID

See Also:
  Constant Field Values

### fs

    private static final java.lang.String fs

### relativeSSLLocation

    private static final java.lang.String relativeSSLLocation

See Also:
  Constant Field Values

### cChannelRendererFactory

    private static final IChannelRendererFactory cChannelRendererFactory

Constructor Detail

### StandaloneChannelRenderer

    public StandaloneChannelRenderer()

Method Detail

### initialize

    public void initialize(java.util.Hashtable params,
                           java.lang.String channelName,
                           boolean hasHelp,
                           boolean hasAbout,
                           boolean hasEdit,
                           long timeOut,
                           IPerson person)
                    throws PortalException

  Initializes the channel and calls setStaticData() on the channel.

  Parameters:
    `params` - a hastable of channel publish/subscribe parameters ( elements
    `channelName` - channel name
    `hasHelp` - determines if the channel supports "help" layout event
    `hasAbout` - determines if the channel supports "about" layout event
    `hasEdit` - determines if the channel supports "edit" layout event
    `timeOut` - channel timeout value in milliseconds
    `person` - a user IPerson object
  Throws:
    `PortalException`

### prepare

    public void prepare(javax.servlet.http.HttpServletRequest req)
                 throws java.lang.Exception

  This request will cause setRuntimeData() method called on the channel. If this method is invoked, the render() method, which usually invokes setRuntimeData() method will omit the call.

  Parameters:
    `req` - http request
  Throws:
    `java.lang.Exception`

### render

    public void render(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)
                throws java.lang.Throwable

  This method will output channel content into the HttpServletResponse's out stream. Note that setRuntimeData() method is called only if there was no prior call to prepare() method.

  Parameters:
    `req` - http request
    `res` - http response
  Throws:
    `java.lang.Throwable`

### getRuntimeData

    private ChannelRuntimeData getRuntimeData(javax.servlet.http.HttpServletRequest req)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD